Source Hiring Companies
curl --request POST \
--url https://api.linkupapi.com/v1/data/companies/hiring \
--header 'Content-Type: application/json' \
--data '
{
"job_title": [
{}
],
"job_title_include_all": true,
"job_title_excluded": [
{}
],
"location": "<string>",
"is_remote": true,
"country": "<string>",
"job_type": "<string>",
"hours_old": 123,
"site_names": [
{}
],
"total_results": 123,
"fetch_description": true,
"enrich_company": true,
"start_page": 123,
"end_page": 123
}
'import requests
url = "https://api.linkupapi.com/v1/data/companies/hiring"
payload = {
"job_title": [{}],
"job_title_include_all": True,
"job_title_excluded": [{}],
"location": "<string>",
"is_remote": True,
"country": "<string>",
"job_type": "<string>",
"hours_old": 123,
"site_names": [{}],
"total_results": 123,
"fetch_description": True,
"enrich_company": True,
"start_page": 123,
"end_page": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
job_title: [{}],
job_title_include_all: true,
job_title_excluded: [{}],
location: '<string>',
is_remote: true,
country: '<string>',
job_type: '<string>',
hours_old: 123,
site_names: [{}],
total_results: 123,
fetch_description: true,
enrich_company: true,
start_page: 123,
end_page: 123
})
};
fetch('https://api.linkupapi.com/v1/data/companies/hiring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/data/companies/hiring",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'job_title' => [
[
]
],
'job_title_include_all' => true,
'job_title_excluded' => [
[
]
],
'location' => '<string>',
'is_remote' => true,
'country' => '<string>',
'job_type' => '<string>',
'hours_old' => 123,
'site_names' => [
[
]
],
'total_results' => 123,
'fetch_description' => true,
'enrich_company' => true,
'start_page' => 123,
'end_page' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/data/companies/hiring"
payload := strings.NewReader("{\n \"job_title\": [\n {}\n ],\n \"job_title_include_all\": true,\n \"job_title_excluded\": [\n {}\n ],\n \"location\": \"<string>\",\n \"is_remote\": true,\n \"country\": \"<string>\",\n \"job_type\": \"<string>\",\n \"hours_old\": 123,\n \"site_names\": [\n {}\n ],\n \"total_results\": 123,\n \"fetch_description\": true,\n \"enrich_company\": true,\n \"start_page\": 123,\n \"end_page\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/data/companies/hiring")
.header("Content-Type", "application/json")
.body("{\n \"job_title\": [\n {}\n ],\n \"job_title_include_all\": true,\n \"job_title_excluded\": [\n {}\n ],\n \"location\": \"<string>\",\n \"is_remote\": true,\n \"country\": \"<string>\",\n \"job_type\": \"<string>\",\n \"hours_old\": 123,\n \"site_names\": [\n {}\n ],\n \"total_results\": 123,\n \"fetch_description\": true,\n \"enrich_company\": true,\n \"start_page\": 123,\n \"end_page\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/data/companies/hiring")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"job_title\": [\n {}\n ],\n \"job_title_include_all\": true,\n \"job_title_excluded\": [\n {}\n ],\n \"location\": \"<string>\",\n \"is_remote\": true,\n \"country\": \"<string>\",\n \"job_type\": \"<string>\",\n \"hours_old\": 123,\n \"site_names\": [\n {}\n ],\n \"total_results\": 123,\n \"fetch_description\": true,\n \"enrich_company\": true,\n \"start_page\": 123,\n \"end_page\": 123\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"companies": [
{
"name": "Alpic",
"website": "https://www.alpic.ai",
"indeed_url": null,
"linkedin_url": "https://fr.linkedin.com/company/alpic-ai",
"tagline": "Bring your product into the agent era.",
"description": "Alpic provides the infrastructure and tools to turn your product into an AI-native experience...",
"logo": "https://media.licdn.com/dms/image/.../alpic_ai_logo...",
"cover_image": "https://media.licdn.com/dms/image/.../alpic_ai_cover...",
"industry": "Technology, Information and Internet",
"employee_count": 8,
"employee_count_range": {
"start": 2,
"end": 10
},
"organization_type": "Privately Held",
"headquarter": {
"country": "FR",
"city": "Paris"
},
"locations": [
{
"address": {
"line1": "Paris, FR"
},
"headquarter": true
}
],
"followers_count": 1178,
"jobs_count": 1,
"jobs": [
{
"job_title": "Junior Software Engineer",
"location": "Paris, Île-de-France, France",
"job_type": null,
"job_seniority": "",
"job_board": "linkedin",
"job_board_url": "https://www.linkedin.com/jobs/view/4300503473",
"date_posted": "2025-09-13",
"description": null,
"is_remote": false,
"salary": null
}
]
}
]
},
"pagination": {
"start_page": 1,
"end_page": 2,
"results_per_page": 10,
"pages_fetched": 2
}
}
{
"status": "success",
"data": {
"companies": [
{
"name": "Alpic",
"website": "https://www.alpic.ai",
"indeed_url": null,
"linkedin_url": "https://fr.linkedin.com/company/alpic-ai",
"tagline": "Bring your product into the agent era.",
"description": "Alpic provides the infrastructure and tools...",
"logo": "https://media.licdn.com/dms/image/.../alpic_ai_logo...",
"cover_image": "https://media.licdn.com/dms/image/.../alpic_ai_cover...",
"industry": "Technology, Information and Internet",
"employee_count": 8,
"employee_count_range": {
"start": 2,
"end": 10
},
"organization_type": "Privately Held",
"headquarter": {
"country": "FR",
"city": "Paris"
},
"locations": [
{
"address": {
"line1": "Paris, FR"
},
"headquarter": true
}
],
"followers_count": 1178,
"jobs_count": 1,
"jobs": [
{
"job_title": "Junior Software Engineer",
"location": "Paris, Île-de-France, France",
"job_type": "fulltime",
"job_seniority": "entry level",
"job_board": "linkedin",
"job_board_url": "https://www.linkedin.com/jobs/view/4300503473",
"date_posted": "2025-09-13",
"description": "<div>\n <strong>About Us</strong><br/><br/>\n <strong>Alpic is the all-in-one MCP hosting platform.</strong><br/><br/>\n We're entering a major technological shift where AI is replacing traditional search...\n</div>",
"is_remote": false,
"salary": null,
"sectors": ["Technology, Information and Internet"]
}
]
}
]
},
"pagination": {
"start_page": 1,
"end_page": 1,
"results_per_page": 10,
"pages_fetched": 1
}
}
{
"status": "success",
"data": {
"companies": [
{
"name": "Alpic",
"website": null,
"indeed_url": null,
"linkedin_url": "https://fr.linkedin.com/company/alpic-ai",
"tagline": null,
"description": null,
"logo": null,
"cover_image": null,
"industry": null,
"employee_count": null,
"employee_count_range": null,
"organization_type": null,
"headquarter": null,
"locations": null,
"followers_count": null,
"jobs_count": 1,
"jobs": [
{
"job_title": "Junior Software Engineer",
"location": "Paris, Île-de-France, France",
"job_type": null,
"job_seniority": "",
"job_board": "linkedin",
"job_board_url": "https://www.linkedin.com/jobs/view/4300503473",
"date_posted": "2025-09-13",
"description": null,
"is_remote": false,
"salary": null
}
]
}
]
},
"pagination": {
"start_page": 1,
"end_page": 1,
"results_per_page": 10,
"pages_fetched": 1
}
}
Web Crawler API
Source Hiring Companies
Search for companies actively hiring by scraping job boards (Indeed and LinkedIn)
POST
/
v1
/
data
/
companies
/
hiring
Source Hiring Companies
curl --request POST \
--url https://api.linkupapi.com/v1/data/companies/hiring \
--header 'Content-Type: application/json' \
--data '
{
"job_title": [
{}
],
"job_title_include_all": true,
"job_title_excluded": [
{}
],
"location": "<string>",
"is_remote": true,
"country": "<string>",
"job_type": "<string>",
"hours_old": 123,
"site_names": [
{}
],
"total_results": 123,
"fetch_description": true,
"enrich_company": true,
"start_page": 123,
"end_page": 123
}
'import requests
url = "https://api.linkupapi.com/v1/data/companies/hiring"
payload = {
"job_title": [{}],
"job_title_include_all": True,
"job_title_excluded": [{}],
"location": "<string>",
"is_remote": True,
"country": "<string>",
"job_type": "<string>",
"hours_old": 123,
"site_names": [{}],
"total_results": 123,
"fetch_description": True,
"enrich_company": True,
"start_page": 123,
"end_page": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
job_title: [{}],
job_title_include_all: true,
job_title_excluded: [{}],
location: '<string>',
is_remote: true,
country: '<string>',
job_type: '<string>',
hours_old: 123,
site_names: [{}],
total_results: 123,
fetch_description: true,
enrich_company: true,
start_page: 123,
end_page: 123
})
};
fetch('https://api.linkupapi.com/v1/data/companies/hiring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/data/companies/hiring",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'job_title' => [
[
]
],
'job_title_include_all' => true,
'job_title_excluded' => [
[
]
],
'location' => '<string>',
'is_remote' => true,
'country' => '<string>',
'job_type' => '<string>',
'hours_old' => 123,
'site_names' => [
[
]
],
'total_results' => 123,
'fetch_description' => true,
'enrich_company' => true,
'start_page' => 123,
'end_page' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/data/companies/hiring"
payload := strings.NewReader("{\n \"job_title\": [\n {}\n ],\n \"job_title_include_all\": true,\n \"job_title_excluded\": [\n {}\n ],\n \"location\": \"<string>\",\n \"is_remote\": true,\n \"country\": \"<string>\",\n \"job_type\": \"<string>\",\n \"hours_old\": 123,\n \"site_names\": [\n {}\n ],\n \"total_results\": 123,\n \"fetch_description\": true,\n \"enrich_company\": true,\n \"start_page\": 123,\n \"end_page\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.linkupapi.com/v1/data/companies/hiring")
.header("Content-Type", "application/json")
.body("{\n \"job_title\": [\n {}\n ],\n \"job_title_include_all\": true,\n \"job_title_excluded\": [\n {}\n ],\n \"location\": \"<string>\",\n \"is_remote\": true,\n \"country\": \"<string>\",\n \"job_type\": \"<string>\",\n \"hours_old\": 123,\n \"site_names\": [\n {}\n ],\n \"total_results\": 123,\n \"fetch_description\": true,\n \"enrich_company\": true,\n \"start_page\": 123,\n \"end_page\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/data/companies/hiring")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"job_title\": [\n {}\n ],\n \"job_title_include_all\": true,\n \"job_title_excluded\": [\n {}\n ],\n \"location\": \"<string>\",\n \"is_remote\": true,\n \"country\": \"<string>\",\n \"job_type\": \"<string>\",\n \"hours_old\": 123,\n \"site_names\": [\n {}\n ],\n \"total_results\": 123,\n \"fetch_description\": true,\n \"enrich_company\": true,\n \"start_page\": 123,\n \"end_page\": 123\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"companies": [
{
"name": "Alpic",
"website": "https://www.alpic.ai",
"indeed_url": null,
"linkedin_url": "https://fr.linkedin.com/company/alpic-ai",
"tagline": "Bring your product into the agent era.",
"description": "Alpic provides the infrastructure and tools to turn your product into an AI-native experience...",
"logo": "https://media.licdn.com/dms/image/.../alpic_ai_logo...",
"cover_image": "https://media.licdn.com/dms/image/.../alpic_ai_cover...",
"industry": "Technology, Information and Internet",
"employee_count": 8,
"employee_count_range": {
"start": 2,
"end": 10
},
"organization_type": "Privately Held",
"headquarter": {
"country": "FR",
"city": "Paris"
},
"locations": [
{
"address": {
"line1": "Paris, FR"
},
"headquarter": true
}
],
"followers_count": 1178,
"jobs_count": 1,
"jobs": [
{
"job_title": "Junior Software Engineer",
"location": "Paris, Île-de-France, France",
"job_type": null,
"job_seniority": "",
"job_board": "linkedin",
"job_board_url": "https://www.linkedin.com/jobs/view/4300503473",
"date_posted": "2025-09-13",
"description": null,
"is_remote": false,
"salary": null
}
]
}
]
},
"pagination": {
"start_page": 1,
"end_page": 2,
"results_per_page": 10,
"pages_fetched": 2
}
}
{
"status": "success",
"data": {
"companies": [
{
"name": "Alpic",
"website": "https://www.alpic.ai",
"indeed_url": null,
"linkedin_url": "https://fr.linkedin.com/company/alpic-ai",
"tagline": "Bring your product into the agent era.",
"description": "Alpic provides the infrastructure and tools...",
"logo": "https://media.licdn.com/dms/image/.../alpic_ai_logo...",
"cover_image": "https://media.licdn.com/dms/image/.../alpic_ai_cover...",
"industry": "Technology, Information and Internet",
"employee_count": 8,
"employee_count_range": {
"start": 2,
"end": 10
},
"organization_type": "Privately Held",
"headquarter": {
"country": "FR",
"city": "Paris"
},
"locations": [
{
"address": {
"line1": "Paris, FR"
},
"headquarter": true
}
],
"followers_count": 1178,
"jobs_count": 1,
"jobs": [
{
"job_title": "Junior Software Engineer",
"location": "Paris, Île-de-France, France",
"job_type": "fulltime",
"job_seniority": "entry level",
"job_board": "linkedin",
"job_board_url": "https://www.linkedin.com/jobs/view/4300503473",
"date_posted": "2025-09-13",
"description": "<div>\n <strong>About Us</strong><br/><br/>\n <strong>Alpic is the all-in-one MCP hosting platform.</strong><br/><br/>\n We're entering a major technological shift where AI is replacing traditional search...\n</div>",
"is_remote": false,
"salary": null,
"sectors": ["Technology, Information and Internet"]
}
]
}
]
},
"pagination": {
"start_page": 1,
"end_page": 1,
"results_per_page": 10,
"pages_fetched": 1
}
}
{
"status": "success",
"data": {
"companies": [
{
"name": "Alpic",
"website": null,
"indeed_url": null,
"linkedin_url": "https://fr.linkedin.com/company/alpic-ai",
"tagline": null,
"description": null,
"logo": null,
"cover_image": null,
"industry": null,
"employee_count": null,
"employee_count_range": null,
"organization_type": null,
"headquarter": null,
"locations": null,
"followers_count": null,
"jobs_count": 1,
"jobs": [
{
"job_title": "Junior Software Engineer",
"location": "Paris, Île-de-France, France",
"job_type": null,
"job_seniority": "",
"job_board": "linkedin",
"job_board_url": "https://www.linkedin.com/jobs/view/4300503473",
"date_posted": "2025-09-13",
"description": null,
"is_remote": false,
"salary": null
}
]
}
]
},
"pagination": {
"start_page": 1,
"end_page": 1,
"results_per_page": 10,
"pages_fetched": 1
}
}
Overview
This endpoint retrieves companies that are actively hiring with their job listings, company details, and enriched data. At least one ofjob_title, job_description, or location is required.
Pricing: Total Cost = Base + Description + Enrichment
- Base: 1 credit = 10 companies
- Description (if
fetch_description: true): +1 credit per 10 companies - Enrichment (if
enrich_company: true): +1 credit per company
- Base only: 1 credit
- Base + Description: 2 credits
- Base + Enrichment: 11 credits
- Full (Base + Description + Enrichment): 12 credits
Body Parameters
If
true: all keywords required (AND logic). If false: at least one keyword (OR logic)Enrich with LinkedIn data (tagline, followers, HQ, locations). Cost: +1 credit per company
Response
Show Company Object
Show Company Object
{
"status": "success",
"data": {
"companies": [
{
"name": "Alpic",
"website": "https://www.alpic.ai",
"indeed_url": null,
"linkedin_url": "https://fr.linkedin.com/company/alpic-ai",
"tagline": "Bring your product into the agent era.",
"description": "Alpic provides the infrastructure and tools to turn your product into an AI-native experience...",
"logo": "https://media.licdn.com/dms/image/.../alpic_ai_logo...",
"cover_image": "https://media.licdn.com/dms/image/.../alpic_ai_cover...",
"industry": "Technology, Information and Internet",
"employee_count": 8,
"employee_count_range": {
"start": 2,
"end": 10
},
"organization_type": "Privately Held",
"headquarter": {
"country": "FR",
"city": "Paris"
},
"locations": [
{
"address": {
"line1": "Paris, FR"
},
"headquarter": true
}
],
"followers_count": 1178,
"jobs_count": 1,
"jobs": [
{
"job_title": "Junior Software Engineer",
"location": "Paris, Île-de-France, France",
"job_type": null,
"job_seniority": "",
"job_board": "linkedin",
"job_board_url": "https://www.linkedin.com/jobs/view/4300503473",
"date_posted": "2025-09-13",
"description": null,
"is_remote": false,
"salary": null
}
]
}
]
},
"pagination": {
"start_page": 1,
"end_page": 2,
"results_per_page": 10,
"pages_fetched": 2
}
}
{
"status": "success",
"data": {
"companies": [
{
"name": "Alpic",
"website": "https://www.alpic.ai",
"indeed_url": null,
"linkedin_url": "https://fr.linkedin.com/company/alpic-ai",
"tagline": "Bring your product into the agent era.",
"description": "Alpic provides the infrastructure and tools...",
"logo": "https://media.licdn.com/dms/image/.../alpic_ai_logo...",
"cover_image": "https://media.licdn.com/dms/image/.../alpic_ai_cover...",
"industry": "Technology, Information and Internet",
"employee_count": 8,
"employee_count_range": {
"start": 2,
"end": 10
},
"organization_type": "Privately Held",
"headquarter": {
"country": "FR",
"city": "Paris"
},
"locations": [
{
"address": {
"line1": "Paris, FR"
},
"headquarter": true
}
],
"followers_count": 1178,
"jobs_count": 1,
"jobs": [
{
"job_title": "Junior Software Engineer",
"location": "Paris, Île-de-France, France",
"job_type": "fulltime",
"job_seniority": "entry level",
"job_board": "linkedin",
"job_board_url": "https://www.linkedin.com/jobs/view/4300503473",
"date_posted": "2025-09-13",
"description": "<div>\n <strong>About Us</strong><br/><br/>\n <strong>Alpic is the all-in-one MCP hosting platform.</strong><br/><br/>\n We're entering a major technological shift where AI is replacing traditional search...\n</div>",
"is_remote": false,
"salary": null,
"sectors": ["Technology, Information and Internet"]
}
]
}
]
},
"pagination": {
"start_page": 1,
"end_page": 1,
"results_per_page": 10,
"pages_fetched": 1
}
}
{
"status": "success",
"data": {
"companies": [
{
"name": "Alpic",
"website": null,
"indeed_url": null,
"linkedin_url": "https://fr.linkedin.com/company/alpic-ai",
"tagline": null,
"description": null,
"logo": null,
"cover_image": null,
"industry": null,
"employee_count": null,
"employee_count_range": null,
"organization_type": null,
"headquarter": null,
"locations": null,
"followers_count": null,
"jobs_count": 1,
"jobs": [
{
"job_title": "Junior Software Engineer",
"location": "Paris, Île-de-France, France",
"job_type": null,
"job_seniority": "",
"job_board": "linkedin",
"job_board_url": "https://www.linkedin.com/jobs/view/4300503473",
"date_posted": "2025-09-13",
"description": null,
"is_remote": false,
"salary": null
}
]
}
]
},
"pagination": {
"start_page": 1,
"end_page": 1,
"results_per_page": 10,
"pages_fetched": 1
}
}
Was this page helpful?